Bug 151619 - initlog has disappeared
initlog has disappeared
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-03-20 17:56 EST by Mike Bird
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-22 23:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Bird 2005-03-20 17:56:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
SPECIFICALLY: initlog is absent from fc4test1, breaking oodles of non-core services.  It wasn't deprecated in fc3; it just disappeared.

GENERALLY: Moving packages into an unsynchronised and currently non-existent fc4test1.extras is making realistic testing of fc4test1 nearly impossible.  There does not seem to be an appropriate place in bugzilla to hang this comment so I'll hang it here.  This fatally undermines all the nice arguments about which packages can safely be removed to extras.  For example, fc3.extras scribus cannot be made to work with fc4test1, so a whole class of workstations cannot be real-world tested.

A lot more thought needs to go into Fedora releases.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Mike Bird 2005-03-21 20:15:35 EST

ln -s /bin/bash /usr/sbin/initlog

No warranties as to the security or propriety of this workaround!
Comment 2 Bill Nottingham 2005-03-22 23:13:26 EST
It was intentional; the functionality it provided needs to be provided elsewhere
in a more flexible framework - this code does not exist yet.. It should have
been relnoted for test1, unfortunately, it wasn't.

Not sure what initlog has to do with scribus.
Comment 3 Mike Bird 2005-03-22 23:33:58 EST
Well then deprecate "initlog" for fc4 so package maintainers have time to catch up.

Why unnecessarily break all non-core services? - and I'm not merely referring to
extras.  You don't think "initlog" is nice enough?  Fix it or leave it alone. 
Don't break things out of spite.

Scribus is another victim of the python incompatibility.  The common thread is
the lackadaisical approach of Fedora Core developers to everything outside their
artificial little bailiwick.

Core and extras releases need to be coordinated with each other.  Everyone knows
that extras should have been rebuilt but it's apparently more amusing to wait
for long-suffering users to scream about each package individually.

Changes to core and extras need to be timely documented for the benefit of out
of tree package maintainers - thence for the benefit of users - thence for the
benefit of Fedora and Redhat who despite all impressions to the contrary
presumably want people to keep using this distro.

In short, Fedora releases need to be planned, not thrown together by a bunch of
clueless newbies.
Comment 4 Bill Nottingham 2005-03-22 23:40:49 EST
python is part of the normal package upgrade process; maintainers of packages in
Extras should be subscribed to fedora-maintainers. Notes when python is upgraded
should be sent there, but that wasn't possible this time (as the upgrade was
done before fedora-maintainers existed).

initlog may come back if the replacement code doesn't materialize, although it
probably won't be called by default.
Comment 5 Mike Bird 2005-03-22 23:53:42 EST
Personally, I don't mind if initlog is not called.  I'd just like it to be
included so that out-of-tree /etc/init.d/* don't fail.

Note You need to log in before you can comment on or make changes to this bug.